package com.shcd.service;

import com.shcd.entity.ShorePowerDeviceUsage;
import com.shcd.entity.SpStatementInlandLow;
import com.baomidou.mybatisplus.extension.service.IService;
import com.shcd.vo.ShorePowerConnRecordInfoVo;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author 14390
 * @description 针对表【SP_STATEMENT_INLAND_LOW(内河低压分析表)】的数据库操作Service
 * @createDate 2024-01-22 14:57:44
 */
public interface SpStatementInlandLowService extends IService<SpStatementInlandLow> {

  List<ShorePowerDeviceUsage> getOriginDataFromPage(String date);

  List<ShorePowerDeviceUsage> getCurrentYearOriginDataFromPage();

  SpStatementInlandLow getLastMonthReportData(String shorePowerLastMonthDate, Integer type);

  List<ShorePowerConnRecordInfoVo> selectDataFromShorePower(Map<String, Object> params);

  List<ShorePowerConnRecordInfoVo> selectCurrentYearDataFromShorePower();

  void deleteAllCurrentMonthReport1(Date reportDate);

  void deleteAllCurrentMonthReport2(Date reportDate);

  List<SpStatementInlandLow> selectCurrentMonthReport2Count(Date reportDate);

  List<SpStatementInlandLow> selectCurrentMonthReport1Count(Date reportDate);

  void makeReport1(String currentMonthDate, String lastMonthDate);

  void makeReport2(String shorePowerDate, String shorePowerLastMonthDate,
      String shorePowerLast2MonthDate, String shorePowerLast3MonthDate);

  List<SpStatementInlandLow> getAllLastMonthReportData(String lastMonthDate, int type);
}
